Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.F	(revision 5101)
@@ -99,17 +99,17 @@
       enddo
 
-c     call minmaxq(zq,qmin,qmax,'avant vlx     ')
-      call advnqx(zq,zqg,zqd)
-      call advnx(zq,zqg,zqd,zm,mu,mode)
-      call advnqy(zq,zqs,zqn)
-      call advny(zq,zqs,zqn,zm,mv)
-      call advnqz(zq,zqh,zqb)
-      call advnz(zq,zqh,zqb,zm,mw)
-c     call vlz(zq,0.,zm,mw)
-      call advnqy(zq,zqs,zqn)
-      call advny(zq,zqs,zqn,zm,mv)
-      call advnqx(zq,zqg,zqd)
-      call advnx(zq,zqg,zqd,zm,mu,mode)
-c     call minmaxq(zq,qmin,qmax,'apres vlx     ')
+c     CALL minmaxq(zq,qmin,qmax,'avant vlx     ')
+      CALL advnqx(zq,zqg,zqd)
+      CALL advnx(zq,zqg,zqd,zm,mu,mode)
+      CALL advnqy(zq,zqs,zqn)
+      CALL advny(zq,zqs,zqn,zm,mv)
+      CALL advnqz(zq,zqh,zqb)
+      CALL advnz(zq,zqh,zqb,zm,mw)
+c     CALL vlz(zq,0.,zm,mw)
+      CALL advnqy(zq,zqs,zqn)
+      CALL advny(zq,zqs,zqn,zm,mv)
+      CALL advnqx(zq,zqg,zqd)
+      CALL advnx(zq,zqg,zqd,zm,mu,mode)
+c     CALL minmaxq(zq,qmin,qmax,'apres vlx     ')
 
       do l=1,llm
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/conf_planete.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/conf_planete.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/conf_planete.F90	(revision 5101)
@@ -81,5 +81,5 @@
 ! Intrinsic heat flux (default: none) (only used if planet_type="giant")
 ihf = 0.
-call getin('ihf',ihf)
+CALL getin('ihf',ihf)
 
 END SUBROUTINE conf_planete
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/control_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/control_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/control_mod.F90	(revision 5101)
@@ -16,10 +16,10 @@
   INTEGER,SAVE :: iapp_tracvl ! apply (cumulated) traceur advection every
                               ! iapp_tracvl dynamical steps
-  INTEGER,SAVE :: nsplit_phys ! number of sub-cycle steps in call to physics
+  INTEGER,SAVE :: nsplit_phys ! number of sub-cycle steps in CALL to physics
   INTEGER,SAVE :: iconser
   INTEGER,SAVE :: iecri
   INTEGER,SAVE :: dissip_period ! apply dissipation every dissip_period
                                 ! dynamical step
-  INTEGER,SAVE :: iphysiq ! call physics every iphysiq dynamical steps
+  INTEGER,SAVE :: iphysiq ! CALL physics every iphysiq dynamical steps
   INTEGER,SAVE :: iecrimoy
   INTEGER,SAVE :: dayref
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5101)
@@ -64,5 +64,5 @@
 
   vert_sampling = merge("strato", "tropo ", ok_strato) ! default value
-  call getin('vert_sampling', vert_sampling)
+  CALL getin('vert_sampling', vert_sampling)
   WRITE(lunout,*) TRIM(modname)//' vert_sampling = ' // vert_sampling
   if (llm==39 .and. vert_sampling=="strato") then
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.F	(revision 5101)
@@ -181,5 +181,5 @@
          DO l = 1, llm
 
-         call sig_hybrid(sig(l),pa,preff,newsig)
+         CALL sig_hybrid(sig(l),pa,preff,newsig)
             bp(l) = EXP( 1. - 1./(newsig**2)  )
             ap(l) = pa * (newsig - bp(l) )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5101)
@@ -60,9 +60,9 @@
        if (llm==1) then
           if (kappa/=1) then
-             call abort_gcm(modname, &
+             CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
           if (cpp/=r) then
-             call abort_gcm(modname, &
+             CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
           endif
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5101)
@@ -57,9 +57,9 @@
        if (llm==1) then
           if (kappa/=1) then
-             call abort_gcm(modname, &
+             CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
           if (cpp/=r) then
-             call abort_gcm(modname, &
+             CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
           endif
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/extrapol.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/extrapol.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/extrapol.F	(revision 5101)
@@ -150,5 +150,5 @@
 C
 C* Not enough points around point P are unmasked; interpolation on P 
-C  will be done in a future call to extrap.
+C  will be done in a future CALL to extrap.
 C
          IF (inbor >= knbor) THEN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5101)
@@ -172,11 +172,11 @@
           Xf(2 * nmax) = pi_d
 
-          call invert_zoom_x(xf, xtild, Xprimt, rlonm025(:iim), &
+          CALL invert_zoom_x(xf, xtild, Xprimt, rlonm025(:iim), &
                xprimm025(:iim), xuv = - 0.25_k8)
-          call invert_zoom_x(xf, xtild, Xprimt, rlonv(:iim), xprimv(:iim), &
+          CALL invert_zoom_x(xf, xtild, Xprimt, rlonv(:iim), xprimv(:iim), &
                xuv = 0._k8)
-          call invert_zoom_x(xf, xtild, Xprimt, rlonu(:iim), xprimu(:iim), &
+          CALL invert_zoom_x(xf, xtild, Xprimt, rlonu(:iim), xprimu(:iim), &
                xuv = 0.5_k8)
-          call invert_zoom_x(xf, xtild, Xprimt, rlonp025(:iim), &
+          CALL invert_zoom_x(xf, xtild, Xprimt, rlonp025(:iim), &
                xprimp025(:iim), xuv = 0.25_k8)
        end if test_grossismx
@@ -211,8 +211,8 @@
        END IF
 
-       call principal_cshift(is2, rlonm025, xprimm025)
-       call principal_cshift(is2, rlonv, xprimv)
-       call principal_cshift(is2, rlonu, xprimu)
-       call principal_cshift(is2, rlonp025, xprimp025)
+       CALL principal_cshift(is2, rlonm025, xprimm025)
+       CALL principal_cshift(is2, rlonv, xprimv)
+       CALL principal_cshift(is2, rlonu, xprimu)
+       CALL principal_cshift(is2, rlonp025, xprimp025)
 
        forall (i = 1: iim) d_rlonv(i) = rlonv(i + 1) - rlonv(i)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5101)
@@ -182,5 +182,5 @@
   status=nf90_put_att(ncid_out,area_id,'long_name','gridcell area')
   ! land-sea mask (nearest integer approx)
-  status = nf90_def_var(ncid_out,'mask',NF90_INT,out_dim,mask_id)
+  status = nf90_def_var(ncid_out,'mask',nf90_int,out_dim,mask_id)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,mask_id,'long_name','land-sea mask (nINT approx)')
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5101)
@@ -64,19 +64,19 @@
   endif
   ! but user can also specify using one or the other in run.def:
-  call getin('disvert_type',disvert_type)
+  CALL getin('disvert_type',disvert_type)
   write(lunout,*) trim(modname),': disvert_type=',disvert_type
 
   pressure_exner = disvert_type == 1 ! default value
-  call getin('pressure_exner', pressure_exner)
+  CALL getin('pressure_exner', pressure_exner)
 
   if (disvert_type==1) then
      ! standard case for Earth (automatic generation of levels)
-     call disvert()
+     CALL disvert()
   else if (disvert_type==2) then
      ! standard case for planets (levels generated using z2sig.def file)
-     call disvert_noterre
+     CALL disvert_noterre
   else
      write(abort_message,*) "Wrong value for disvert_type: ", disvert_type
-     call abort_gcm(modname,abort_message,0)
+     CALL abort_gcm(modname,abort_message,0)
   endif
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5101)
@@ -11,5 +11,5 @@
   !   -------------
 
-  USE control_mod, only : dissip_period,iperiod
+  USE control_mod, ONLY: dissip_period,iperiod
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
                           dtdiss, dtvr, rad
@@ -79,5 +79,5 @@
      write(lunout,*)'  Inidissip  zh min max  ',zhmin,zhmax
      abort_message='probleme generateur alleatoire dans inidissip'
-     call abort_gcm('inidissip',abort_message,1)
+     CALL abort_gcm('inidissip',abort_message,1)
   ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5101)
@@ -6,6 +6,6 @@
   USE IOIPSL
 #endif
-  USE infotrac, ONLY : nqtot
-  use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid, &
+  USE infotrac, ONLY: nqtot
+  use com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid, &
        dynhistave_file,dynhistvave_file,dynhistuave_file
   USE comconst_mod, ONLY: pi
@@ -83,5 +83,5 @@
   ! Restriction de IOIPSL: seulement 2 coordonnees dans le meme fichier
   ! Grille Scalaire       
-  call histbeg(dynhistave_file, iip1, rlong(:,1), jjp1, rlat(1,:), &
+  CALL histbeg(dynhistave_file, iip1, rlong(:,1), jjp1, rlat(1,:), &
        1, iip1, 1, jjp1, &
        tau0, zjulian, tstep, thoriid,histaveid)
@@ -98,5 +98,5 @@
   enddo
 
-  call histbeg(dynhistvave_file, iip1, rlong(:,1), jjm, rlat(1,:), &
+  CALL histbeg(dynhistvave_file, iip1, rlong(:,1), jjm, rlat(1,:), &
        1, iip1, 1, jjm, &
        tau0, zjulian, tstep, vhoriid,histvaveid)
@@ -109,5 +109,5 @@
   enddo
 
-  call histbeg(dynhistuave_file, iip1, rlong(:,1),jjp1, rlat(1,:), &
+  CALL histbeg(dynhistuave_file, iip1, rlong(:,1),jjp1, rlat(1,:), &
        1, iip1, 1, jjp1, &
        tau0, zjulian, tstep, uhoriid,histuaveid)
@@ -115,9 +115,9 @@
   !  Appel a histvert pour la grille verticale
 
-  call histvert(histaveid,'presnivs','Niveaux Pression approximatifs','mb', &
+  CALL histvert(histaveid,'presnivs','Niveaux Pression approximatifs','mb', &
        llm, presnivs/100., zvertiid,'down')
-  call histvert(histuaveid,'presnivs','Niveaux Pression approximatifs','mb', &
+  CALL histvert(histuaveid,'presnivs','Niveaux Pression approximatifs','mb', &
        llm, presnivs/100., zvertiid,'down')
-  call histvert(histvaveid,'presnivs','Niveaux Pression approximatifs','mb', &
+  CALL histvert(histvaveid,'presnivs','Niveaux Pression approximatifs','mb', &
        llm, presnivs/100., zvertiid,'down')
 
@@ -126,5 +126,5 @@
   !  Vents U
 
-  call histdef(histuaveid, 'u', 'vent u moyen ', &
+  CALL histdef(histuaveid, 'u', 'vent u moyen ', &
        'm/s', iip1, jjp1, uhoriid, llm, 1, llm, zvertiid, &
        32, 'ave(X)', t_ops, t_wrt)
@@ -132,5 +132,5 @@
   !  Vents V
 
-  call histdef(histvaveid, 'v', 'vent v moyen', &
+  CALL histdef(histvaveid, 'v', 'vent v moyen', &
        'm/s', iip1, jjm, vhoriid, llm, 1, llm, zvertiid, &
        32, 'ave(X)', t_ops, t_wrt)
@@ -139,5 +139,5 @@
   !  Temperature
 
-  call histdef(histaveid, 'temp', 'temperature moyenne', 'K', &
+  CALL histdef(histaveid, 'temp', 'temperature moyenne', 'K', &
        iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
        32, 'ave(X)', t_ops, t_wrt)
@@ -145,5 +145,5 @@
   !  Temperature potentielle
 
-  call histdef(histaveid, 'theta', 'temperature potentielle', 'K', &
+  CALL histdef(histaveid, 'theta', 'temperature potentielle', 'K', &
        iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
        32, 'ave(X)', t_ops, t_wrt)
@@ -151,5 +151,5 @@
   !  Geopotentiel
 
-  call histdef(histaveid, 'phi', 'geopotentiel moyen', '-', &
+  CALL histdef(histaveid, 'phi', 'geopotentiel moyen', '-', &
        iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
        32, 'ave(X)', t_ops, t_wrt)
@@ -158,5 +158,5 @@
 
   !        DO iq=1,nqtot
-  !          call histdef(histaveid, tracers(iq)%name, &
+  !          CALL histdef(histaveid, tracers(iq)%name, &
   !                                  tracers(iq)%longName, '-',  &
   !                  iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
@@ -166,5 +166,5 @@
   !  Masse
 
-  call histdef(histaveid, 'masse', 'masse', 'kg', &
+  CALL histdef(histaveid, 'masse', 'masse', 'kg', &
        iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
        32, 'ave(X)', t_ops, t_wrt)
@@ -172,5 +172,5 @@
   !  Pression au sol
 
-  call histdef(histaveid, 'ps', 'pression naturelle au sol', 'Pa', &
+  CALL histdef(histaveid, 'ps', 'pression naturelle au sol', 'Pa', &
        iip1, jjp1, thoriid, 1, 1, 1, -99, &
        32, 'ave(X)', t_ops, t_wrt)
@@ -178,11 +178,11 @@
   !  Geopotentiel au sol
 
-  !      call histdef(histaveid, 'phis', 'geopotentiel au sol', '-', &
+  !      CALL histdef(histaveid, 'phis', 'geopotentiel au sol', '-', &
   !                  iip1, jjp1, thoriid, 1, 1, 1, -99, &
   !                  32, 'ave(X)', t_ops, t_wrt)
 
-  call histend(histaveid)
-  call histend(histuaveid)
-  call histend(histvaveid)
+  CALL histend(histaveid)
+  CALL histend(histuaveid)
+  CALL histend(histvaveid)
 #else
   write(lunout,*)"initdynav: Warning this routine should not be", &
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.F	(revision 5101)
@@ -92,5 +92,5 @@
       enddo
  
-      call histbeg(infile, iip1, rlong(:,1), jjp1, rlat(1,:),
+      CALL histbeg(infile, iip1, rlong(:,1), jjp1, rlat(1,:),
      .             1, iip1, 1, jjp1,
      .             tau0, zjulian, tstep, uhoriid, fileid)
@@ -108,10 +108,10 @@
       enddo
 
-      call histbeg('fluxstokev.nc', iip1, rlong(:,1), jjm, rlat(1,:),
+      CALL histbeg('fluxstokev.nc', iip1, rlong(:,1), jjm, rlat(1,:),
      .             1, iip1, 1, jjm,
      .             tau0, zjulian, tstep, vhoriid, filevid)
         
         rl(1,1) = 1.
-      call histbeg('defstoke.nc', 1, rl, 1, rl,
+      CALL histbeg('defstoke.nc', 1, rl, 1, rl,
      .             1, 1, 1, 1,
      .             tau0, zjulian, tstep, dhoriid, filedid)
@@ -127,5 +127,5 @@
       enddo
 
-      call histhori(fileid, iip1, rlong, jjp1, rlat, 'scalar',
+      CALL histhori(fileid, iip1, rlong, jjp1, rlat, 'scalar',
      .              'Grille points scalaires', thoriid)
         
@@ -133,14 +133,14 @@
 C  Appel a histvert pour la grille verticale
 C
-      call histvert(fileid, 'sig_s', 'Niveaux sigma',
+      CALL histvert(fileid, 'sig_s', 'Niveaux sigma',
      . 'sigma_level',
      .              llm, nivsigs, zvertiid)
 C Pour le fichier V
-      call histvert(filevid, 'sig_s', 'Niveaux sigma',
+      CALL histvert(filevid, 'sig_s', 'Niveaux sigma',
      .  'sigma_level',
      .              llm, nivsigs, zvertiid)
 c pour le fichier def
       nivd(1) = 1
-      call histvert(filedid, 'sig_s', 'Niveaux sigma',
+      CALL histvert(filedid, 'sig_s', 'Niveaux sigma',
      .  'sigma_level',
      .              1, nivd, dvertiid)
@@ -173,5 +173,5 @@
 C Masse 
 C
-      call histdef(fileid, 'masse', 'Masse', 'kg',
+      CALL histdef(fileid, 'masse', 'Masse', 'kg',
      .             iip1, jjp1, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -179,5 +179,5 @@
 C  Pbaru 
 C
-      call histdef(fileid, 'pbaru', 'flx de masse zonal', 'kg m/s',
+      CALL histdef(fileid, 'pbaru', 'flx de masse zonal', 'kg m/s',
      .             iip1, jjp1, uhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -186,5 +186,5 @@
 C  Pbarv 
 C
-      call histdef(filevid, 'pbarv', 'flx de masse mer', 'kg m/s',
+      CALL histdef(filevid, 'pbarv', 'flx de masse mer', 'kg m/s',
      .             iip1, jjm, vhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -192,5 +192,5 @@
 C  w 
 C
-      call histdef(fileid, 'w', 'flx de masse vert', 'kg m/s',
+      CALL histdef(fileid, 'w', 'flx de masse vert', 'kg m/s',
      .             iip1, jjp1, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -199,5 +199,5 @@
 C  Temperature potentielle
 C
-      call histdef(fileid, 'teta', 'temperature potentielle', '-',
+      CALL histdef(fileid, 'teta', 'temperature potentielle', '-',
      .             iip1, jjp1, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -207,5 +207,5 @@
 C Geopotentiel 
 C
-      call histdef(fileid, 'phi', 'geopotentiel instantane', '-',
+      CALL histdef(fileid, 'phi', 'geopotentiel instantane', '-',
      .             iip1, jjp1, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -213,11 +213,11 @@
 C  Fin
 C
-      call histend(fileid)
-      call histend(filevid)
-      call histend(filedid)
+      CALL histend(fileid)
+      CALL histend(filevid)
+      CALL histend(filedid)
       if (ok_sync) then
-        call histsync(fileid)
-        call histsync(filevid)
-        call histsync(filedid)
+        CALL histsync(fileid)
+        CALL histsync(filevid)
+        CALL histsync(filedid)
       endif
         
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5101)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5101)
@@ -0,0 +1,194 @@
+! $Id$
+
+subroutine inithist(day0, anne0, tstep, t_ops, t_wrt)
+
+#ifdef CPP_IOIPSL
+   USE IOIPSL
+#endif
+  USE infotrac, ONLY: nqtot
+  use com_io_dyn_mod, ONLY: histid, histvid, histuid, &
+          dynhist_file, dynhistv_file, dynhistu_file
+  USE comconst_mod, ONLY: pi
+  USE comvert_mod, ONLY: presnivs
+  USE temps_mod, ONLY: itau_dyn
+
+  implicit none
+
+  !
+  !   Routine d'initialisation des ecritures des fichiers histoires LMDZ
+  !   au format IOIPSL
+  !
+  !   Appels succesifs des routines: histbeg
+  !                              histhori
+  !                              histver
+  !                              histdef
+  !                              histend
+  !
+  !   Entree:
+  !
+  !  infile: nom du fichier histoire a creer
+  !  day0,anne0: date de reference
+  !  tstep: duree du pas de temps en seconde
+  !  t_ops: frequence de l'operation pour IOIPSL
+  !  t_wrt: frequence d'ecriture sur le fichier
+  !  nq: nombre de traceurs
+  !
+  !
+  !   L. Fairhead, LMD, 03/99
+  !
+  ! =====================================================================
+  !
+  !   Declarations
+  include "dimensions.h"
+  include "paramet.h"
+  include "comgeom.h"
+  include "description.h"
+  include "iniprint.h"
+
+  !   Arguments
+  !
+  integer :: day0, anne0
+  real :: tstep, t_ops, t_wrt
+
+#ifdef CPP_IOIPSL
+  ! This routine needs IOIPSL to work
+  !   Variables locales
+  !
+  integer :: tau0
+  real :: zjulian
+  integer :: iq
+  real :: rlong(iip1,jjp1), rlat(iip1,jjp1)
+  integer :: uhoriid, vhoriid, thoriid, zvertiid
+  integer :: ii,jj
+  integer :: zan, dayref
+  !
+  !  Initialisations
+  !
+  pi = 4. * atan (1.)
+  !
+  !  Appel a histbeg: creation du fichier netcdf et initialisations diverses
+  !
+
+  zan = anne0
+  dayref = day0
+  CALL ymds2ju(zan, 1, dayref, 0.0, zjulian)
+  tau0 = itau_dyn
+
+  ! -------------------------------------------------------------
+  ! Creation des 3 fichiers pour les grilles horizontales U,V,Scal
+  ! -------------------------------------------------------------
+  !Grille U
+  do jj = 1, jjp1
+    do ii = 1, iip1
+      rlong(ii,jj) = rlonu(ii) * 180. / pi
+      rlat(ii,jj) = rlatu(jj) * 180. / pi
+    enddo
+  enddo
+
+  CALL histbeg(dynhistu_file, iip1, rlong(:,1), jjp1, rlat(1,:), &
+        1, iip1, 1, jjp1, &
+        tau0, zjulian, tstep, uhoriid, histuid)
+
+  ! Grille V
+  do jj = 1, jjm
+    do ii = 1, iip1
+      rlong(ii,jj) = rlonv(ii) * 180. / pi
+      rlat(ii,jj) = rlatv(jj) * 180. / pi
+    enddo
+  enddo
+
+  CALL histbeg(dynhistv_file, iip1, rlong(:,1), jjm, rlat(1,:), &
+        1, iip1, 1, jjm, &
+        tau0, zjulian, tstep, vhoriid, histvid)
+
+  !Grille Scalaire
+  do jj = 1, jjp1
+    do ii = 1, iip1
+      rlong(ii,jj) = rlonv(ii) * 180. / pi
+      rlat(ii,jj) = rlatu(jj) * 180. / pi
+    enddo
+  enddo
+
+  CALL histbeg(dynhist_file, iip1, rlong(:,1), jjp1, rlat(1,:), &
+        1, iip1, 1, jjp1, &
+        tau0, zjulian, tstep, thoriid, histid)
+  ! -------------------------------------------------------------
+  !  Appel a histvert pour la grille verticale
+  ! -------------------------------------------------------------
+  CALL histvert(histid, 'presnivs', 'Niveaux pression','mb', &
+        llm, presnivs/100., zvertiid,'down')
+  CALL histvert(histvid, 'presnivs', 'Niveaux pression','mb', &
+        llm, presnivs/100., zvertiid,'down')
+  CALL histvert(histuid, 'presnivs', 'Niveaux pression','mb', &
+        llm, presnivs/100., zvertiid,'down')
+  !
+  ! -------------------------------------------------------------
+  !  Appels a histdef pour la definition des variables a sauvegarder
+  ! -------------------------------------------------------------
+  !
+  !  Vents U
+  !
+  CALL histdef(histuid, 'u', 'vent u', 'm/s', &
+        iip1, jjp1, uhoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Vents V
+  !
+  CALL histdef(histvid, 'v', 'vent v', 'm/s', &
+        iip1, jjm, vhoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+
+  !
+  !  Temperature potentielle
+  !
+  CALL histdef(histid, 'teta', 'temperature potentielle', '-', &
+        iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Geopotentiel
+  !
+  CALL histdef(histid, 'phi', 'geopotentiel', '-', &
+        iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Traceurs
+  !
+
+  !    DO iq=1,nqtot
+  !      CALL histdef(histid, tracers(iq)%name,
+  !                           tracers(iq)%longName, '-',
+  ! .             iip1, jjp1, thoriid, llm, 1, llm, zvertiid,
+  ! .             32, 'inst(X)', t_ops, t_wrt)
+  !    enddo
+  !C
+  !  Masse
+  !
+  CALL histdef(histid, 'masse', 'masse', 'kg', &
+        iip1, jjp1, thoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Pression au sol
+  !
+  CALL histdef(histid, 'ps', 'pression naturelle au sol', 'Pa', &
+        iip1, jjp1, thoriid, 1, 1, 1, -99, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Geopotentiel au sol
+  !C
+  !  CALL histdef(histid, 'phis', 'geopotentiel au sol', '-',
+  ! .             iip1, jjp1, thoriid, 1, 1, 1, -99,
+  ! .             32, 'inst(X)', t_ops, t_wrt)
+  !C
+  !  Fin
+  !
+  CALL histend(histid)
+  CALL histend(histuid)
+  CALL histend(histvid)
+#else
+  ! tell the user this routine should be run with ioipsl
+  write(lunout, *)"inithist: Warning this routine should not be", &
+          " used without ioipsl"
+#endif
+  ! of #ifdef CPP_IOIPSL
+  return
+end subroutine inithist
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5101)
@@ -57,9 +57,9 @@
          "inter_barxy jnterfd")
     jmods = size(champint, 2)
-    call assert(size(champ, 1) == size(dlonid), "inter_barxy size(champ, 1)")
-    call assert((/size(rlonimod), size(champint, 1)/) == iim, &
+    CALL assert(size(champ, 1) == size(dlonid), "inter_barxy size(champ, 1)")
+    CALL assert((/size(rlonimod), size(champint, 1)/) == iim, &
          "inter_barxy iim")
-    call assert(any(jmods == (/jjm, jjm + 1/)), 'inter_barxy jmods')
-    call assert(size(rlatimod) == jjm, "inter_barxy size(rlatimod)")
+    CALL assert(any(jmods == (/jjm, jjm + 1/)), 'inter_barxy jmods')
+    CALL assert(size(rlatimod) == jjm, "inter_barxy size(rlatimod)")
 
     ! Check decreasing order for "rlatimod":
@@ -323,5 +323,5 @@
     !------------------------------------
 
-    call assert(size(yjdat) == size(fdat), "inter_bary")
+    CALL assert(size(yjdat) == size(fdat), "inter_bary")
 
     ! Initialisation des variables
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.F	(revision 5101)
@@ -257,8 +257,8 @@
          enddo
       endif
-      call limx(s0,sx,sm,pente_max)
-c     call minmaxq(zq,1.e33,-1.e33,'avant advx     ')
-       call advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf)
-c     call minmaxq(zq,1.e33,-1.e33,'avant advy     ')
+      CALL limx(s0,sx,sm,pente_max)
+c     CALL minmaxq(zq,1.e33,-1.e33,'avant advx     ')
+       CALL advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf)
+c     CALL minmaxq(zq,1.e33,-1.e33,'avant advy     ')
       if (mode==4) then
          do l=1,llm
@@ -271,7 +271,7 @@
          enddo
       endif
-       call   limy(s0,sy,sm,pente_max)
-       call advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz ) 
-c     call minmaxq(zq,1.e33,-1.e33,'avant advz     ')
+       CALL   limy(s0,sy,sm,pente_max)
+       CALL advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz )
+c     CALL minmaxq(zq,1.e33,-1.e33,'avant advz     ')
        do j=1,jjp1
           do i=1,iip1
@@ -280,6 +280,6 @@
           enddo
        enddo
-       call limz(s0,sz,sm,pente_max)
-       call advz( limit,dtvr,w,sm,s0,sx,sy,sz )
+       CALL limz(s0,sz,sm,pente_max)
+       CALL advz( limit,dtvr,w,sm,s0,sx,sy,sz )
       if (mode==4) then
          do l=1,llm
@@ -292,6 +292,6 @@
          enddo
       endif
-        call limy(s0,sy,sm,pente_max)
-       call advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz ) 
+        CALL limy(s0,sy,sm,pente_max)
+       CALL advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz )
        do l=1,llm
           do j=1,jjp1
@@ -305,5 +305,5 @@
 
 
-c     call minmaxq(zq,1.e33,-1.e33,'avant advx     ')
+c     CALL minmaxq(zq,1.e33,-1.e33,'avant advx     ')
       if (mode==4) then
          do l=1,llm
@@ -316,7 +316,7 @@
          enddo
       endif
-       call limx(s0,sx,sm,pente_max)
-       call advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf) 
-c     call minmaxq(zq,1.e33,-1.e33,'apres advx     ')
+       CALL limx(s0,sx,sm,pente_max)
+       CALL advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf)
+c     CALL minmaxq(zq,1.e33,-1.e33,'apres advx     ')
 c      do l=1,llm
 c         do j=1,jjp1
